/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/


#include <gtk/gtk.h>
#include "support.h"
#include "dialog.h"
#include "window.h"
#include "page_state.h"
#include "fileops.h"

/*################## Make a modal massege dialog ###################*/
void gsim_message(const gchar *message,GtkMessageType type)
{
	GtkWidget *dialog;
	dialog=gtk_message_dialog_new(GTK_WINDOW(gsim_appwindow),GTK_DIALOG_DESTROY_WITH_PARENT,type,
                                               GTK_BUTTONS_CLOSE,"%s",message);
	gtk_dialog_run (GTK_DIALOG (dialog));
	gtk_widget_hide (dialog);
} 


/*################# Attempt to close a unsvaed file ##################*/
void gsim_close_unsaved(void)
{
	GtkWidget *dialog;
	
	GString *str;
	str=g_string_new("");
	g_string_append_printf(str,_("The file '%s' is not saved.\n Do you want to save it before closing ?"),filename);

   
   /* Create the widgets */
   
   	dialog = gtk_message_dialog_new(GTK_WINDOW(gsim_appwindow),GTK_DIALOG_DESTROY_WITH_PARENT,GTK_MESSAGE_QUESTION,
                                               GTK_BUTTONS_NONE,"%s",str->str);
	gtk_dialog_add_buttons(GTK_DIALOG(dialog),GTK_STOCK_CANCEL,GTK_RESPONSE_NONE,GTK_STOCK_NO,GTK_RESPONSE_NO,
												GTK_STOCK_SAVE,GTK_RESPONSE_YES,NULL);
                                       
	g_string_free(str,TRUE);

   /*decide what to do*/
   gint response;
   response=gtk_dialog_run(GTK_DIALOG(dialog));
   
   if(response==GTK_RESPONSE_YES)
	{
		if_close_file=1;
		if_file_processing=1;
		gsim_save_file();
		close_file();
	}
	if(response==GTK_RESPONSE_NO)
		close_file();
	
   gtk_widget_destroy(dialog);
}
